Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.jdf
Class LBGridJDFWriter

    java.lang.Object
      lbg.simulator.tools.jdf.LBGridJDFWriter

All Implemented Interfaces:
  JDFWriter

    public class LBGridJDFWriter

extends java.lang.Object
implements JDFWriter

Author:
  Cyril Briquet

Constructor Summary
`protected` | `LBGridJDFWriter(java.lang.String job_label, java.lang.String scenario_complete_filename, java.lang.String jar_complete_filename, java.util.Iterator<java.lang.String> scenarii, java.lang.String main_class, boolean upload_jar_dep)`

Method Summary
`java.lang.String` | `getJDFContent()`
`java.lang.String` | `getJDFFileName()`
`java.lang.String` | `toString()`
`void` | `writeJDF()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LBGridJDFWriter

    protected LBGridJDFWriter(java.lang.String job_label,
                              java.lang.String scenario_complete_filename,
                              java.lang.String jar_complete_filename,
                              java.util.Iterator<java.lang.String> scenarii,
                              java.lang.String main_class,
                              boolean upload_jar_dep)
                       throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getJDFContent

    public java.lang.String getJDFContent()
                                   throws GridException

  Specified by:
    `getJDFContent` in interface `JDFWriter`
  Throws:
    `GridException`

### getJDFFileName

    public java.lang.String getJDFFileName()
                                    throws GridException

  Specified by:
    `getJDFFileName` in interface `JDFWriter`
  Throws:
    `GridException`

### writeJDF

    public void writeJDF()
                  throws GridException

  Specified by:
    `writeJDF` in interface `JDFWriter`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.